=== debian/changelog ===
klayout (0.24.6-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 23 Dec 2017 22:03:59 -0500

klayout (0.24.6-1mx150+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 28 Mar 2016 13:41:26 -0700
