=== debian/control ===
Source: klayout
Section: graphics
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>=9), libqt4-dev, python-dev, ruby-dev, zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://klayout.de/

Package: klayout
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: chip mask layout review and edit utility
 Klayout is a graphical viewer for a.o. GDSII and CIF files.
 Its features include net highlighting and XOR-ing of two layouts.
