=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt4

%:
	dh $@ --parallel 
	
override_dh_auto_build:
	sh build.sh
