=== debian/changelog ===
klayout (0.25.8-1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Switch to the recommended python 3 instead of python 2.
  * Fix up debian/copyright.
  * Use debhelper 10 compat.
  * debian/rules:
    - enable parallel builds
    - disable automatic dbgsym packages.
  * Fix install of binary and lib packages.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 May 2019 17:58:45 -0700
