## klayout 0.26.1

=== debian/changelog ===
klayout (0.26.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Nov 2019 15:39:49 -0800
