=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: klayout
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>=9), libqt4-dev, python-dev, ruby-dev, zlib1g-dev
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Build-Depends: debhelper (>= 10),
+               libqt4-dev,
+               python3-dev,
+               ruby-dev,
+               zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://klayout.de/
