=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt4

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

%:
	dh $@

override_dh_auto_build:
	./build.sh -options -j$(NCPUS) \
               -bin /usr/lib/klayout

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/klayout
