=== debian/changelog ===
klayout (0.26.2-3) unstable; urgency=medium

  * Correctly handle spaces in arguments to klayout wrapper (Closes: #959862)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Oct 2020 08:38:46 +0000

klayout (0.26.2-2) unstable; urgency=medium

  * Change build-dependency to libpython3-dev
  * Update patch to debian/patches/0001-Prefer-Newer-Python3.patch
  * All explicit dependencies on python3.7 have been removed. Fixes FTBFS
    (Closes: #951735)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 06 Mar 2020 19:17:11 +0100

klayout (0.26.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Pre-depend on Python3
  * debian/klayout.postinst:
    - Run py3compile on install
  * debian/klayout.prerm
    - Run py3clean on remove

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 14 Jan 2020 21:12:13 +0100

klayout (0.26-2) unstable; urgency=medium

  * Rename /usr/share/pixmaps/icon.png to /usr/share/pixmaps/klayout.png

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 27 Dec 2019 11:15:01 +0100

klayout (0.26-1) unstable; urgency=low

  * Initial release (Closes: #926100)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 20 Oct 2019 20:41:43 +0200
