=== debian/watch ===
version=3
https://github.com/KLayout/klayout/releases /KLayout/klayout/archive/v(\d\S+)\.tar\.(?:bz2|gz|xz)
