=== debian/changelog ===
klayout (0.28.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * [abb7992] Reduce debug info to fix FTBFS on mipsel

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Feb 2023 08:39:05 +0100

klayout (0.28.5-1) unstable; urgency=medium

  * Team upload
  * [ac64fdf] New upstream version 0.28.5
  * [e7686a0] Rebuild patch queue from patch-queue branch
    Just refresh the existing patches.
  * [11229eb] d/control: Adding Rules-Requires-Root: no
  * [95a4017] d/control: Running wrap-and-sort -ast
  * [893c63f] d/copyright: Correct Debian related data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 06 Feb 2023 18:45:13 +0100

klayout (0.28.3-1) unstable; urgency=medium

  * Team upload
  * [fed1c5f] New upstream version 0.28.3
  * [37c625f] Rebuild patch queue from patch-queue branch
    Just refresh the existing patches.
  * [83bcb29] d/control: Increase Standards-Version to 4.6.2
    No further changes needed.
  * [9a84a45] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Jan 2023 19:31:10 +0100

klayout (0.27.12-1) unstable; urgency=medium

  * Team upload
  * [c0fa30a] d/watch: Move to git mode
  * [b464bda] New upstream version 0.27.12
    (Closes: #959902, #977333, #982251)
  * [61d611e] Rebuild patch queue from patch-queue branch
  * [b08673c] Salsa CI: Rename and update file to d/salsa-ci.yml

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 03 Nov 2022 20:04:12 +0100

klayout (0.27.11-2) unstable; urgency=medium

  * Team upload
  * [224fb39] d/rules: Don't run dh_dwz on mipsel
  * [ed3d34b] d/rules: Catch up also *.so while fixing permissions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Sep 2022 16:31:10 +0200

klayout (0.27.11-1) unstable; urgency=medium

  * Team upload

  [ Carsten Schoenert ]
  * [0d74036] d/gbp.conf: Adding more default data
  * [2eb4aba] New upstream version 0.27.11
  * [bcace71] d/control: Increase debhelper to version 13
  * [8655ff8] d/control: Increase Standards-Version to 4.6.1
    No further changes needed.
  * [348c911] d/README.source: Adding basic information about source

  [ Thomas Dorch ]
  * [3faff17] fixed debian/watch so it tracks klayout git releases
  * [0e78a4d] New upstream version 0.27.8
  * [356e3c7] d/copyright: Update copyright data
  * [972efd8] d/rules: Reorganize permission setting on *.py files
  * [58b24ac] d/watch: Update to version 4
  * [8b24c59] Rebuild patch queue from patch-queue branch
    Added patch:
    Set-KLAYOUT_VERSION_DATE-in-version.sh-using-value-from-S.patch
    (Closes: #977415)
  * [52264e0] fix lintian warning about ldconfig trigger

  [ Vagrant Cascadian ]
  * [7cbcf66] d/rules: Generate wrapper consistently regardless of shell
    (Closes: #977416)

  [ Thomas Dorch ]

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Sep 2022 12:05:18 +0200
