=== debian/control ===
Source: klayout
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders:
 Ruben Undheim <ruben.undheim@gmail.com>,
Build-Depends:
 chrpath,
 debhelper-compat (= 13),
 libpython3-dev,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 qt5-qmake,
 qtbase5-dev,
 qtmultimedia5-dev,
 qttools5-dev,
 ruby-dev,
 txt2man,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/electronics-team/klayout
Vcs-Git: https://salsa.debian.org/electronics-team/klayout.git
Homepage: https://www.klayout.de

Package: klayout
Architecture: any
Pre-Depends:
 python3,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: High Performance Layout Viewer and Editor
 This is very good viewer for GDSII and other layout files used in the
 semiconductor industry.
 .
 It is similar to 'magic', but has a much more modern GUI and is more robust
 handling all kinds of GDSII files created by various other tools. Its focus is
 more on viewing than on editing, but it also has limited, but expanding,
 support for DRC and extraction for LVS.
