=== debian/watch ===
# watch file for klayout

version=4

opts="mode=git, \
      pgpmode=none, \
      filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/klayout-$1\.tar\.gz/" \
https://github.com/KLayout/klayout.git \
      refs/tags/v(\d\S+)
