## klayout 0.28.15

=== debian/changelog ===
klayout (0.28.15-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:01:44 +1100

klayout (0.28.15-1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:05:38 +0000

klayout (0.28.15-1build3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:10:44 +0100

klayout (0.28.15-1build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 01:03:45 -0300

klayout (0.28.15-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:48:44 +0000

klayout (0.28.15-1) unstable; urgency=medium

  * Team upload
  * [2de69dc] d/watch: Add compression typ gz
  * [a46568f] New upstream version 0.28.15
  * [029aa71] Rebuild patch queue from patch-queue branch
    Updating/refreshing the existing patches.
  * [c413b95] d/control: Add new B-D on libgit2-dev
  * [d97d763] d/rules: Drop -qt5 build option, not needed
  * [612e21a] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Jan 2024 09:19:40 +0100
