=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: klayout
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders:
  Ruben Undheim <ruben.undheim@gmail.com>,
 Build-Depends:
  chrpath,
  debhelper-compat (= 13),
+ libgit2-dev,
  libpython3-dev,
  libqt5svg5-dev,
  libqt5xmlpatterns5-dev,
