## klayout 0.28.16

=== debian/changelog ===
klayout (0.28.16-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream point release (LP: #2066026)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 06 Jun 2024 09:25:33 -0700
