=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       pgpmode=none, \
       filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/klayout-$1\.tar\.gz/" \
 https://github.com/KLayout/klayout.git \
