## klayout 0.29.1

=== debian/changelog ===
klayout (0.29.1-1build4) plucky; urgency=medium

  * No-change rebuild against libgit2 1.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Feb 2025 00:09:32 -0600

klayout (0.29.1-1build3) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:06:25 +0100

klayout (0.29.1-1build2) plucky; urgency=medium

  * Rebuild against latest libgit2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 12:35:01 -0500

klayout (0.29.1-1build1) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 15 Aug 2024 23:57:43 -0300

klayout (0.29.1-1) unstable; urgency=medium

  * Team upload
  * [930643e] New upstream version 0.29.1
  * [8a96268] Rebuild patch queue from patch-queue branch
    Updating/refreshing the existing patches.
  * [1350ae5] d/control: Increase Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 May 2024 12:19:12 +0200
