=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: klayout
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders:
  Ruben Undheim <ruben.undheim@gmail.com>,
 Build-Depends:
@@ -20,7 +19,7 @@
  txt2man,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/klayout
 Vcs-Git: https://salsa.debian.org/electronics-team/klayout.git
 Homepage: https://www.klayout.de
