## klayout 0.30.0

=== testdata/lefdef/patternname/Makefile ===
v:
	time strm2oas \
	--lefdef-map v.map \
	--lefdef-lefs v.lef \
	v.def v.oas
