=== debian/changelog ===
klayout (0.30.0-1) unstable; urgency=medium

  * Team upload
  * [47c3a62] d/watch: Drop option 'filenamemangle'
  * [77dd5b2] New upstream version 0.30.0
  * [5a65a40] Rebuild patch queue from patch-queue branch
    Updating/refreshing the existing patches.
  * [9ebe9ca] d/control: Increase Standards-Version to 4.7.2
    No further changes needed.
  * [3c6e7db] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Mar 2025 08:02:27 +0200
