=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  txt2man,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/klayout
 Vcs-Git: https://salsa.debian.org/electronics-team/klayout.git
 Homepage: https://www.klayout.de
